[Haskell-cafe] haskell platform questions

wren ng thornton wren at freegeek.org
Mon Mar 22 01:38:18 EDT 2010

Gregory Collins wrote:
> Warren Harris <warrensomebody at gmail.com> writes:
>> I downloaded the new haskell-platform-2010.1.0.0-i386.dmg today... ran the
>> uninstaller, ghc installer and the platform installer. When I run  ghci, it
>> seems to work fine, but when I try cabal, I get this crash:
>> $ cabal --version
>> dyld: unknown required load command 0x80000022
>> Trace/BPT trap
>> Any suggestions? (I'm on 10.5.8). Maybe I'll try the macport install process
>> instead.
> Is anyone else still on Leopard who can test this? I am worried that the
> binaries (which were linked on Snow Leopard) are not working on Leopard.

I'm still on 10.5.8. I don't have cabal-install installed yet, but I 
just installed GHC-6.12.1/HP-2010.1.0.0. I can verify that ghci works 
fine so far. I'll check out cabal-install in the next couple days.

Live well,

More information about the Haskell-Cafe mailing list